%bcond_without tests

Summary:        An asyncio-compatible timeout context manager
Name:           python-async-timeout
Version:        4.0.2
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/aio-libs/async-timeout
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
This package provides a asyncio-compatible timeout context manager that is much faster than 
asyncio.wait_for().

%package -n python3-async-timeout
Summary:        %{summary}

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
%endif

%description -n python3-async-timeout
This package provides a asyncio-compatible timeout context manager that is much faster than 
asyncio.wait_for().

%prep
%autosetup -n async-timeout-%{version}
# remove unused pytest coverage flags
sed -e '/^addopts/d' -i setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files async_timeout

%check
%if %{with tests}
%pytest
%endif

%files -n python3-async-timeout -f %{pyproject_files}
%doc README.rst CHANGES.rst

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 4.0.2-1
- package init.
